Loading...
Searching...
No Matches
Opm::GasLiftStage2< Scalar, IndexTraits >::OptimizeState Struct Reference

## Public Types

using | GradInfo = typename GasLiftStage2::GradInfo
using | GradPair = typename GasLiftStage2::GradPair
using | GradPairItr = typename GasLiftStage2::GradPairItr
using | GradMap = typename GasLiftStage2::GradMap

## Public Member Functions

| OptimizeState (GasLiftStage2 &parent_, const Group &group_)
void | calculateEcoGradients (std::vector< GasLiftSingleWell * > &wells, std::vector< GradPair > &inc_grads, std::vector< GradPair > &dec_grads)
bool | checkAtLeastTwoWells (std::vector< GasLiftSingleWell * > &wells)
void | debugShowIterationInfo ()
std::pair< std::optional< GradPairItr >, std::optional< GradPairItr > > | getEcoGradients (std::vector< GradPair > &inc_grads, std::vector< GradPair > &dec_grads)
void | recalculateGradients (std::vector< GradPair > &inc_grads, std::vector< GradPair > &dec_grads, GradPairItr &min_dec_grad_itr, GradPairItr &max_inc_grad_itr)
void | redistributeALQ (GradPairItr &min_dec_grad, GradPairItr &max_inc_grad)

## Public Attributes

GasLiftStage2 & | parent
const Group & | group
int | it

The documentation for this struct was generated from the following files:

- opm/simulators/wells/GasLiftStage2.hpp
- opm/simulators/wells/GasLiftStage2.cpp